Name:          libibumad
Version:       1.3.10.2
Release:       1mamba
Summary:       User MAD library functions which sit on top of the user MAD modules in the kernel
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.openfabrics.org
Source:        https://www.openfabrics.org/downloads/management/libibumad-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
libibumad provides the user MAD library functions which sit on top of the user MAD modules in the kernel.
These are used by the IB diagnostic and management tools, including OpenSM.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libibumad.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/infiniband/umad*.h
%{_libdir}/libibumad.a
%{_libdir}/libibumad.la
%{_libdir}/libibumad.so
%{_mandir}/man3/umad_*.3*
%doc ChangeLog

%changelog
* Sat Feb 13 2021 Automatic Build System <autodist@mambasoft.it> 1.3.10.2-1mamba
- automatic version update by autodist

* Tue Oct 14 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.9-1mamba
- package created using the webbuild interface
